summaryrefslogtreecommitdiffstats
path: root/libraries/gamemode
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/gamemode')
-rw-r--r--libraries/gamemode/README59
-rw-r--r--libraries/gamemode/gamemode.SlackBuild114
-rw-r--r--libraries/gamemode/gamemode.info10
-rw-r--r--libraries/gamemode/slack-desc19
4 files changed, 202 insertions, 0 deletions
diff --git a/libraries/gamemode/README b/libraries/gamemode/README
new file mode 100644
index 0000000000..0db7af7570
--- /dev/null
+++ b/libraries/gamemode/README
@@ -0,0 +1,59 @@
+gamemode (Optimise Linux system performance on demand)
+
+GameMode is a daemon/lib combo for Linux that allows games to request
+a set of optimisations be temporarily applied to the host OS and/or
+a game process.
+
+GameMode was designed primarily as a stop-gap solution to problems
+with the Intel and AMD CPU powersave or ondemand governors, but is
+now host to a range of optimisation features and configurations.
+
+GameMode is automatically activated on the games/apps below. For
+others, you will need to request GameMode when running the game. That
+can be done by launching the game through gamemoderun:
+
+ gamemoderun $location/$to/$game
+
+Or edit the Steam launch options:
+
+ gamemoderun %command%
+
+The daemon is configured with a gamemode.ini file. A default file is
+installed in /usr/share/gamemode/gamemode.ini. This file may get
+overwritten when the package is updated, so it is recommended to save
+changes in /etc/.
+
+Configuration files are loaded and merged from the following
+directories, from highest to lowest priority:
+
+ 1. $PWD ("unsafe" - [gpu] settings take no effect in this file)
+ 2. $XDG_CONFIG_HOME or $HOME/.config/ ("unsafe" - [gpu] settings take
+ no effect in this file)
+ 3. /etc/
+ 4. /usr/share/gamemode/ (provided by package - may be overwritten on
+ future updates... store changes elsewhere)
+
+The following games are known to integrate GameMode support (meaning
+they don't require any additional configuration to activate GameMode
+while running):
+
+ -DiRT 4
+ -Rise of the Tomb Raider
+ -Shadow of the Tomb Raider
+ -Total War Saga: Thrones of Britannia
+ -Total War: ROME REMASTERED
+ -Total War: Three Kingdoms
+ -Total War: WARHAMMER II
+ -Total War: WARHAMMER III
+
+Other apps which can integrate with GameMode include:
+
+ -ATLauncher Minecraft launcher
+ -PolyMC Minecraft launcher
+ -GNOME Shell (via extension) - indicates when GameMode is active in
+ the top panel.
+ -Lutris - Enables GameMode for all games by default if available
+ (must have both 32- and 64-bit GameMode libraries installed),
+ configurable in preferences.
+ -RetroArch - is a frontend for emulators, game engines and media
+ players.
diff --git a/libraries/gamemode/gamemode.SlackBuild b/libraries/gamemode/gamemode.SlackBuild
new file mode 100644
index 0000000000..af7b660419
--- /dev/null
+++ b/libraries/gamemode/gamemode.SlackBuild
@@ -0,0 +1,114 @@
+#!/bin/bash
+
+# Slackware build script for gamemode
+
+# Copyright 2023 Jeremy Hansen jebrhansen+SBo@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gamemode
+VERSION=${VERSION:-1.8.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dwith-sd-bus-provider=elogind \
+ -Dstrip=true
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md LICENSE.txt README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/gamemode/gamemode.info b/libraries/gamemode/gamemode.info
new file mode 100644
index 0000000000..00cc1079a5
--- /dev/null
+++ b/libraries/gamemode/gamemode.info
@@ -0,0 +1,10 @@
+PRGNAM="gamemode"
+VERSION="1.8.1"
+HOMEPAGE="https://github.com/FeralInteractive/gamemode"
+DOWNLOAD="https://github.com/FeralInteractive/gamemode/archive/refs/tags/1.8.1/gamemode-1.8.1.tar.gz"
+MD5SUM="12e169fd3502c1832f222b68afc7050a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Jeremy Hansen"
+EMAIL="jebrhansen+SBo@gmail.com"
diff --git a/libraries/gamemode/slack-desc b/libraries/gamemode/slack-desc
new file mode 100644
index 0000000000..43c8662d36
--- /dev/null
+++ b/libraries/gamemode/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gamemode: gamemode (Optimise Linux system performance on demand)
+gamemode:
+gamemode: GameMode is a daemon/lib combo for Linux that allows games to request
+gamemode: a set of optimisations be temporarily applied to the host OS and/or
+gamemode: a game process.
+gamemode:
+gamemode: GameMode was designed primarily as a stop-gap solution to problems
+gamemode: with the Intel and AMD CPU powersave or ondemand governors, but is
+gamemode: now host to a range of optimisation features and configurations.
+gamemode:
+gamemode: HOMEPAGE: https://github.com/FeralInteractive/gamemode